name: Bug report
about: Something isn't working as expected
title: '[Bug]: '
ref: 'development'
assignees: 
    - aleidk
labels:
  - Priority/Low
  - Severity/Low
  - Status/Pending
  - Type/Bug
body:
  - type: markdown
    attributes:
      value: |
        We appreciate your feedback on how to improve this project. Please be sure to include as much details and any resources if possible!

  - type: checkboxes
    id: terms
    attributes:
      label: Before submitting, I checked...
      options:
        - label: The [issue tracker](../) in case this has been reported before
          required: true
        - label: The severity of the bug
          required: true
    validations:
      required: true

  - type: textarea
    id: expected
    attributes:
      label: "Expected behavior:"
      description: A clear and concise description of what you expected to happen. Include screenshots and/or logs if relevant.
      placeholder: As <who> <when> <where>, I want <what> because <why>
    validations:
      required: true

  - type: textarea
    id: current
    attributes:
      label: "Current behavior:"
      description: A clear and concise description of what actually happened. Include screenshots and/or logs if relevant.
      placeholder: As <who> <when> <where>, I want <what> because <why>
    validations:
      required: true

  - type: textarea
    id: reproduce
    attributes:
      label: "Steps to reproduce:"
      description: Anambiguous set of steps to reproduce this bug. Include code snippets if relevant.
      placeholder: |
        1. Use x argument / navigate to
        2. Fill this information
        3. Go to...
        4. See error
    validations:
      required: true

  - type: dropdown
    attributes:
      multiple: false
      label: Is this a regresion?
      description: Did this behaviour used to work in the previous version?
      default: 0
      options:
        - "I don't know"
        - "This is a new feature"
        - "Yes"
        - "No"
    validations:
      required: true

  - type: textarea
    id: environment
    attributes:
      label: "Your environment:"
      description: Tell us details about the environment you experienced the bug in. A minimal/isolated enviroment to reproduce would be apreciated.
      placeholder: |
        - Version used:
        - Browser Name and version:
        - Operating System and version (desktop or mobile):
        - Link to your project:
    validations:
      required: false

  - type: textarea
    id: additional-information
    attributes:
      label: "Additional Information:"
      description: |
        Please leave any additional information on the bug that could be helpful! like proposed solutions, examples, links, screenshots, etc.
